-- ----------------------------------------------------------------
-- AmazonBusiness連携請求書グループ全体 FOREIGN KEY
-- ----------------------------------------------------------------
ALTER TABLE TM_CATALOG_AB_BILLGROUP_ALL
        ADD CONSTRAINT FK_CATALOG_AB_BILLGROUP_ALL_01
        foreign key (SID_CORPORATE, ID)
        references TM_CATALOG_AB_BILLGROUP(SID_CORPORATE, ID)
        on delete cascade
;
-- ----------------------------------------------------------------
-- AmazonBusiness連携請求書グループグループ FOREIGN KEY
-- ----------------------------------------------------------------
ALTER TABLE TM_CATALOG_AB_BILLGROUP_GRP
        ADD CONSTRAINT FK_CATALOG_AB_BILLGROUP_GRP_01
        foreign key (SID_CORPORATE, ID)
        references TM_CATALOG_AB_BILLGROUP(SID_CORPORATE, ID)
        on delete cascade
;
ALTER TABLE TM_CATALOG_AB_BILLGROUP_GRP
        ADD CONSTRAINT FK_CATALOG_AB_BILLGROUP_GRP_02
        foreign key (SID_CORPORATE, SID_ASSIGN)
        references TM_GROUP(SID_CORPORATE, ID)
        on delete cascade
;
-- ----------------------------------------------------------------
-- AmazonBusiness連携請求書グループユーザー FOREIGN KEY
-- ----------------------------------------------------------------
ALTER TABLE TM_CATALOG_AB_BILLGROUP_USER
        ADD CONSTRAINT FK_CATALOG_AB_BILLGROUP_USER_01
        foreign key (SID_CORPORATE, ID)
        references TM_CATALOG_AB_BILLGROUP(SID_CORPORATE, ID)
        on delete cascade
;
ALTER TABLE TM_CATALOG_AB_BILLGROUP_USER
        ADD CONSTRAINT FK_CATALOG_AB_BILLGROUP_USER_02
        foreign key (SID_CORPORATE, SID_ASSIGN)
        references TM_USER(SID_CORPORATE, ID)
        on delete cascade
;
-- ----------------------------------------------------------------
-- AmazonBusiness連携請求書グループロール FOREIGN KEY
-- ----------------------------------------------------------------
ALTER TABLE TM_CATALOG_AB_BILLGROUP_ROLE
        ADD CONSTRAINT FK_CATALOG_AB_BILLGROUP_ROLE_01
        foreign key (SID_CORPORATE, ID)
        references TM_CATALOG_AB_BILLGROUP(SID_CORPORATE, ID)
        on delete cascade
;
ALTER TABLE TM_CATALOG_AB_BILLGROUP_ROLE
        ADD CONSTRAINT FK_CATALOG_AB_BILLGROUP_ROLE_02
        foreign key (SID_CORPORATE, SID_ASSIGN)
        references TM_ROLE(SID_CORPORATE, ID)
        on delete cascade
;
